/**
 * Hashes a string or Uint8Array using keccak256.
 * @param value - Value to be hashed.
 * @returns Hash of the value as Uint8Array.
 */
export declare function keccak256Sync(value: string | Uint8Array): Uint8Array;
/**
 * Hashes a string or Uint8Array using keccak256 and returns the result as a hex string.
 * @param value - Value to be hashed.
 * @returns Hash of the value as a hex string.
 */
export declare function keccak256SyncHex(value: string | Uint8Array): string;
/**
 * Hashes a string or Uint8Array using keccak256 and returns the result as a hex string prefixed with "0x".
 * @param value - Value to be hashed.
 * @returns Hash of the value as a hex string prefixed with "0x".
 */
export declare function keccak256SyncHexPrefixed(value: string | Uint8Array): `0x${string}`;
//# sourceMappingURL=keccak256.d.ts.map