/**
 * Hash a string or Uint8Array using sha256.
 * @param value - Value to be hashed.
 * @returns A promise that resolves to the hash of the value as Uint8Array.
 */
export declare function sha256(value: string | BufferSource): Promise<Uint8Array>;
/**
 * Hash a string or Uint8Array using sha256 and returns the result as a hex string.
 * @param value - Value to be hashed.
 * @returns A promise that resolves to the hash of the value as a hex string.
 */
export declare function sha256Hex(value: string | BufferSource): Promise<string>;
/**
 * Hash a string or Uint8Array using sha256.
 * @param value - Value to be hashed.
 * @returns The hash of the value as Uint8Array.
 */
export declare function sha256Sync(value: string | Uint8Array): Uint8Array;
/**
 * Hash a string or Uint8Array using sha256.
 * @param value - Value to be hashed.
 * @returns The hash of the value as a hex string.
 */
export declare function sha256HexSync(value: string | Uint8Array): string;
//# sourceMappingURL=sha256.d.ts.map